package com.srs.stureg.mapper;

import java.util.List;

import com.srs.stureg.domain.SrsRegPhoto;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 新生照片Mapper接口
 *
 * @author srs
 * @date 2024-04-02
 */
public interface SrsRegPhotoMapper extends BaseMapper<SrsRegPhoto> {
    /**
     * 查询新生照片
     *
     * @param id 新生照片主键
     * @return 新生照片
     */
    public SrsRegPhoto selectSrsRegPhotoById(Long id);

    /**
     * 查询新生照片列表
     *
     * @param srsRegPhoto 新生照片
     * @return 新生照片集合
     */
    List<SrsRegPhoto> selectSrsRegPhotoList(SrsRegPhoto srsRegPhoto);

    /**
     * 新增新生照片
     *
     * @param srsRegPhoto 新生照片
     * @return 结果
     */
    int insertSrsRegPhoto(SrsRegPhoto srsRegPhoto);

    /**
     * 修改新生照片
     *
     * @param srsRegPhoto 新生照片
     * @return 结果
     */
    int updateSrsRegPhoto(SrsRegPhoto srsRegPhoto);

    /**
     * 删除新生照片
     *
     * @param id 新生照片主键
     * @return 结果
     */
    int deleteSrsRegPhotoById(Long id);

    /**
     * 批量删除新生照片
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSrsRegPhotoByIds(Long[] ids);
}
